org.apache.maven.artifact.resolver

## Interface ResolutionListenerForDepMgmt

All Known Implementing Classes:
  DebugResolutionListener

Deprecated.

    public interface ResolutionListenerForDepMgmt

Do not use! Should only be implmemented by DebugResolutionListener. Remove this when the ResolutionListener interface deprecation of the manageArtifact method (and the [yet to be done] addition of these methods to that interface) has had a chance to propagate to all interested plugins.

### Method Summary

Methods
`void` `manageArtifactScope(Artifact artifact, Artifact replacement)` Deprecated.
`void` `manageArtifactVersion(Artifact artifact, Artifact replacement)` Deprecated.

### Method Detail

#### manageArtifactVersion

    void manageArtifactVersion(Artifact artifact,
                             Artifact replacement)

Deprecated.

#### manageArtifactScope

    void manageArtifactScope(Artifact artifact,
                           Artifact replacement)

Deprecated.